Subject: [Pce] New draft draft-farrel-pce-stateful-flags-00.txt

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 24 Jun 2019 08:04:09 +0100

Hi,

While reviewing draft-ietf-pce-lsp-control-request I noticed that RFC 8231 is missing clarity about how to handle the Flags field in the SRP object. RFC 8281 uses one of the Flags, but doesn't add the clarity.

This very short document seeks to add clarity so that future implementations know how set and process unknown/unassigned bits in the Flags field. It updates RFC 8231 (if published as an RFC).

Your thoughts would be helpful.

Dhruv suggests there may be other clarifications to 8231 that are needed. If so, I'd be happy to roll them all together.

Best,
Adrian

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 24 June 2019 07:53
To: Adrian Farrel <[email-masked]>
Subject: New Version Notification for draft-farrel-pce-stateful-flags-00.txt

A new version of I-D, draft-farrel-pce-stateful-flags-00.txt
has been successfully submitted by Adrian Farrel and posted to the
IETF repository.

Name:		draft-farrel-pce-stateful-flags
Revision:	00
Title:		Updated Rules for Processing Stateful PCE Request Parameters Flags
Document date:	2019-06-24
Group:		Individual Submission
Pages:		5
URL:            https://www.ietf.org/internet-drafts/draft-farrel-pce-stateful-flags-00.txt
Status:         https://datatracker.ietf.org/doc/draft-farrel-pce-stateful-flags/
Htmlized:       https://tools.ietf.org/html/draft-farrel-pce-stateful-flags-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-farrel-pce-stateful-flags

Abstract:
   Extensions to the Path Computation Element communications Protocol
   (PCEP) to support stateful Path Computation Elements (PCEs) are
   defined in RFC 8231.  One of the extensions is the Stateful PCE
   Request Parameters (SRP) object.  That object includes a Flags field
   that is a set of 32 bit flags, and RFC 8281 defines an IANA registry
   for tracking assigned flags.  However, RFC 8231 does not explain how
   an implementation should set unassigned flags in transmitted
   messages, nor how an implementation should process unassigned,
   unknown, or unsupported flags in received messages.

   This document updates RFC 8231 by defining the correct behaviors.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat